"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RealtimeClient = exports.RealtimeAuthClient = exports.HttpClient = exports.HttpAuthClient = void 0;
const realtime_auth_1 = __importDefault(require("./realtime-auth"));
exports.RealtimeAuthClient = realtime_auth_1.default;
const realtime_1 = __importDefault(require("./realtime"));
exports.RealtimeClient = realtime_1.default;
const http_auth_1 = __importDefault(require("./http-auth"));
exports.HttpAuthClient = http_auth_1.default;
const http_1 = __importDefault(require("./http"));
exports.HttpClient = http_1.default;
global.fetch = require('node-fetch');
global.AbortController = require('node-abort-controller');
